package test;

import model.Drawing;
import io.Service;
import io.StandardImageSavers;
import io.TextSaver;

public class PartD1 {

	public static void main(String[] args) {
		Service io = new Service();

		StandardImageSavers.register(io);
		TextSaver saver = new TextSaver();

		io.registerSaver("txt", saver);

		Drawing d = Hanoi.createHanoiTowers();

		io.save("hanoi", "txt", d);
		io.save("hanoi", "png", d);
		io.save("hanoi", "jpg", d);
		io.save("hanoi", "bmp", d);
	}
}
